summaryrefslogtreecommitdiff
path: root/dev-util/cscope
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-util/cscope
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-util/cscope')
-rw-r--r--dev-util/cscope/Manifest2
-rw-r--r--dev-util/cscope/cscope-15.8a-r1.ebuild64
-rw-r--r--dev-util/cscope/cscope-15.8a-r2.ebuild69
-rw-r--r--dev-util/cscope/cscope-15.9.ebuild68
-rw-r--r--dev-util/cscope/files/50cscope-gentoo.el34
-rw-r--r--dev-util/cscope/files/cscope-15.6-darwin.patch11
-rw-r--r--dev-util/cscope/files/cscope-15.7a-ocs-sysdir.patch23
-rw-r--r--dev-util/cscope/metadata.xml37
8 files changed, 308 insertions, 0 deletions
diff --git a/dev-util/cscope/Manifest b/dev-util/cscope/Manifest
new file mode 100644
index 000000000000..7f460cd88c2d
--- /dev/null
+++ b/dev-util/cscope/Manifest
@@ -0,0 +1,2 @@
+DIST cscope-15.8a.tar.gz 601232 BLAKE2B 8c67311059a055af775ba3d42942a557b54c0214751d8756e6a5c19a7a271824004e72c533614015ddcb0ffa4c768f99eb736d441dc8467c5be4824cebf5c15e SHA512 bedba69820eca86420f6c975d1f267de67a457b182a3fe49720a2ae5ea48759c5b5b8db06ed5ffd85173ddf4a0f12ca722e87200dea4a2da7d43c8c711b00318
+DIST cscope-15.9.tar.gz 613948 BLAKE2B 66c0c85d0db810e8cd5a286925eeb1026fa4a9e9c3a5a9decd1412188fca43f831949c231acca428b5eeb476662b7ce9f81defcda81759c18027655535b855be SHA512 f3b95da5eb5c036cd39215785990c7cce7ce7b8eda4b18e60792e70d01ffb63809ce32ace310a9aefd88e6761c1609039ccfab0e8e49f81730bc1630babbcb80
diff --git a/dev-util/cscope/cscope-15.8a-r1.ebuild b/dev-util/cscope/cscope-15.8a-r1.ebuild
new file mode 100644
index 000000000000..b1ae51bd71ef
--- /dev/null
+++ b/dev-util/cscope/cscope-15.8a-r1.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools elisp-common toolchain-funcs
+
+DESCRIPTION="Interactively examine a C program"
+HOMEPAGE="http://cscope.sourceforge.net/"
+SRC_URI="mirror://sourceforge/cscope/${P}.tar.gz"
+
+LICENSE="BSD GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 s390 sparc x86"
+IUSE="emacs"
+
+RDEPEND=">=sys-libs/ncurses-5.2:0=
+ emacs? ( >=app-editors/emacs-23.1:* )"
+DEPEND="${RDEPEND}
+ sys-devel/flex
+ virtual/pkgconfig
+ virtual/yacc"
+
+SITEFILE="50${PN}-gentoo.el"
+
+src_prepare() {
+ eapply "${FILESDIR}/${PN}-15.7a-ocs-sysdir.patch" #269305
+ eapply_user
+ mv configure.{in,ac} || die
+ eautoreconf # prevent maintainer mode later on
+}
+
+src_compile() {
+ emake CURSES_LIBS="$("$(tc-getPKG_CONFIG)" --libs ncurses)"
+ if use emacs; then
+ cd "${S}"/contrib/xcscope || die
+ elisp-compile *.el
+ fi
+}
+
+src_install() {
+ default
+
+ if use emacs; then
+ cd "${S}"/contrib/xcscope || die
+ elisp-install ${PN} *.el *.elc
+ elisp-site-file-install "${FILESDIR}/${SITEFILE}"
+ dobin cscope-indexer
+ fi
+
+ cd "${S}"/contrib/webcscope || die
+ docinto webcscope
+ dodoc INSTALL TODO cgi-lib.pl cscope hilite.c
+ docinto webcscope/icons
+ dodoc icons/*.gif
+}
+
+pkg_postinst() {
+ use emacs && elisp-site-regen
+}
+
+pkg_postrm() {
+ use emacs && elisp-site-regen
+}
diff --git a/dev-util/cscope/cscope-15.8a-r2.ebuild b/dev-util/cscope/cscope-15.8a-r2.ebuild
new file mode 100644
index 000000000000..c47d3feaa6c8
--- /dev/null
+++ b/dev-util/cscope/cscope-15.8a-r2.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools elisp-common toolchain-funcs
+
+DESCRIPTION="Interactively examine a C program"
+HOMEPAGE="http://cscope.sourceforge.net/"
+SRC_URI="mirror://sourceforge/cscope/${P}.tar.gz"
+
+LICENSE="BSD GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~ppc-aix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
+IUSE="emacs"
+
+RDEPEND=">=sys-libs/ncurses-5.2:0=
+ emacs? ( >=app-editors/emacs-23.1:* )"
+DEPEND="${RDEPEND}
+ sys-devel/flex
+ virtual/pkgconfig
+ virtual/yacc"
+
+SITEFILE="50${PN}-gentoo.el"
+
+src_prepare() {
+ eapply "${FILESDIR}/${PN}-15.7a-ocs-sysdir.patch" #269305
+ eapply "${FILESDIR}/${PN}-15.6-darwin.patch"
+ eapply_user
+ mv configure.{in,ac} || die
+ eautoreconf # prevent maintainer mode later on
+}
+
+src_configure() {
+ econf --with-ncurses="${EPREFIX}"/usr
+}
+
+src_compile() {
+ emake CURSES_LIBS="$("$(tc-getPKG_CONFIG)" --libs ncurses)"
+ if use emacs; then
+ cd "${S}"/contrib/xcscope || die
+ elisp-compile *.el
+ fi
+}
+
+src_install() {
+ default
+
+ if use emacs; then
+ cd "${S}"/contrib/xcscope || die
+ elisp-install ${PN} *.el *.elc
+ elisp-site-file-install "${FILESDIR}/${SITEFILE}"
+ dobin cscope-indexer
+ fi
+
+ cd "${S}"/contrib/webcscope || die
+ docinto webcscope
+ dodoc INSTALL TODO cgi-lib.pl cscope hilite.c
+ docinto webcscope/icons
+ dodoc icons/*.gif
+}
+
+pkg_postinst() {
+ use emacs && elisp-site-regen
+}
+
+pkg_postrm() {
+ use emacs && elisp-site-regen
+}
diff --git a/dev-util/cscope/cscope-15.9.ebuild b/dev-util/cscope/cscope-15.9.ebuild
new file mode 100644
index 000000000000..c5b4b35ef25f
--- /dev/null
+++ b/dev-util/cscope/cscope-15.9.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools elisp-common toolchain-funcs
+
+DESCRIPTION="Interactively examine a C program"
+HOMEPAGE="http://cscope.sourceforge.net/"
+SRC_URI="mirror://sourceforge/cscope/${P}.tar.gz"
+
+LICENSE="BSD GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~ppc-aix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
+IUSE="emacs"
+
+RDEPEND=">=sys-libs/ncurses-5.2:0=
+ emacs? ( >=app-editors/emacs-23.1:* )"
+DEPEND="${RDEPEND}"
+BDEPEND="sys-devel/flex
+ virtual/pkgconfig
+ virtual/yacc"
+
+SITEFILE="50${PN}-gentoo.el"
+
+src_prepare() {
+ eapply "${FILESDIR}/${PN}-15.7a-ocs-sysdir.patch" #269305
+ eapply_user
+ mv configure.{in,ac} || die
+ eautoreconf # prevent maintainer mode later on
+}
+
+src_configure() {
+ econf --with-ncurses="${EPREFIX}"/usr
+}
+
+src_compile() {
+ emake CURSES_LIBS="$("$(tc-getPKG_CONFIG)" --libs ncurses)"
+ if use emacs; then
+ cd "${S}"/contrib/xcscope || die
+ elisp-compile *.el
+ fi
+}
+
+src_install() {
+ default
+
+ if use emacs; then
+ cd "${S}"/contrib/xcscope || die
+ elisp-install ${PN} *.el *.elc
+ elisp-site-file-install "${FILESDIR}/${SITEFILE}"
+ dobin cscope-indexer
+ fi
+
+ cd "${S}"/contrib/webcscope || die
+ docinto webcscope
+ dodoc INSTALL TODO cgi-lib.pl cscope hilite.c
+ docinto webcscope/icons
+ dodoc icons/*.gif
+}
+
+pkg_postinst() {
+ use emacs && elisp-site-regen
+}
+
+pkg_postrm() {
+ use emacs && elisp-site-regen
+}
diff --git a/dev-util/cscope/files/50cscope-gentoo.el b/dev-util/cscope/files/50cscope-gentoo.el
new file mode 100644
index 000000000000..08fd4b449352
--- /dev/null
+++ b/dev-util/cscope/files/50cscope-gentoo.el
@@ -0,0 +1,34 @@
+(add-to-list 'load-path "@SITELISP@")
+
+(autoload 'cscope-minor-mode "xcscope")
+(autoload 'cscope-display-buffer "xcscope"
+ "Display the *cscope* buffer." t)
+(autoload 'cscope-display-buffer-toggle "xcscope"
+ "Toggle cscope-display-cscope-buffer, which corresponds to
+\"Auto display *cscope* buffer\"." t)
+(autoload 'cscope-next-symbol "xcscope"
+ "Move to the next symbol in the *cscope* buffer." t)
+(autoload 'cscope-next-file "xcscope"
+ "Move to the next file in the *cscope* buffer." t)
+(autoload 'cscope-prev-symbol "xcscope"
+ "Move to the previous symbol in the *cscope* buffer." t)
+(autoload 'cscope-prev-file "xcscope"
+ "Move to the previous file in the *cscope* buffer." t)
+(autoload 'cscope-pop-mark "xcscope"
+ "Pop back to where cscope was last invoked." t)
+(autoload 'cscope-set-initial-directory "xcscope"
+ "Set the cscope-initial-directory variable." t)
+(autoload 'cscope-unset-initial-directory "xcscope"
+ "Unset the cscope-initial-directory variable." t)
+(autoload 'cscope-find-this-symbol "xcscope"
+ "Locate a symbol in source code." t)
+(autoload 'cscope-find-global-definition "xcscope"
+ "Find a symbol's global definition." t)
+(autoload 'cscope-find-global-definition-no-prompting "xcscope"
+ "Find a symbol's global definition without prompting." t)
+
+(defun cscope:hook ()
+ (cscope-minor-mode))
+(add-hook 'c-mode-hook 'cscope:hook)
+(add-hook 'c++-mode-hook 'cscope:hook)
+(add-hook 'dired-mode-hook 'cscope:hook)
diff --git a/dev-util/cscope/files/cscope-15.6-darwin.patch b/dev-util/cscope/files/cscope-15.6-darwin.patch
new file mode 100644
index 000000000000..e755f3257efd
--- /dev/null
+++ b/dev-util/cscope/files/cscope-15.6-darwin.patch
@@ -0,0 +1,11 @@
+--- a/src/constants.h
++++ b/src/constants.h
+@@ -103,7 +103,7 @@
+ #define INCLUDES 8
+ #define FIELDS 9
+
+-#if (BSD || V9) && !__NetBSD__ && !__FreeBSD__
++#if (BSD || V9) && !__NetBSD__ && !__FreeBSD__ && !__MACH__
+ # define TERMINFO 0 /* no terminfo curses */
+ #else
+ # define TERMINFO 1
diff --git a/dev-util/cscope/files/cscope-15.7a-ocs-sysdir.patch b/dev-util/cscope/files/cscope-15.7a-ocs-sysdir.patch
new file mode 100644
index 000000000000..6b4c17fe9145
--- /dev/null
+++ b/dev-util/cscope/files/cscope-15.7a-ocs-sysdir.patch
@@ -0,0 +1,23 @@
+http://bugs.gentoo.org/269305
+
+--- cscope-15.7a-orig/contrib/ocs 2004-06-21 20:13:22.000000000 +0200
++++ cscope-15.7a/contrib/ocs 2009-05-11 22:33:51.000000000 +0200
+@@ -75,17 +75,10 @@
+
+ #set the default value for SYSDIR
+ if [ -z "${SYSDIR}" ]; then
+- SYSDIR=/usr/local/lib/cs
++ SYSDIR=/var/lib/cs
+ echo setting default sysdir
+ fi
+
+-#check that SYSDIR exists
+-if [ ! -d ${SYSDIR} ]; then
+- echo -n $SYSDIR does not exist.
+- echo Please create the directory and set SYSDIR appropriately
+- exit
+-fi
+-
+ # Check that cscope is in PATH
+ type cscope 1>/dev/null 2>&1
+
diff --git a/dev-util/cscope/metadata.xml b/dev-util/cscope/metadata.xml
new file mode 100644
index 000000000000..87f4acf6ac24
--- /dev/null
+++ b/dev-util/cscope/metadata.xml
@@ -0,0 +1,37 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer type="project">
+ <email>vim@gentoo.org</email>
+ <name>Gentoo Vim Project</name>
+</maintainer>
+<maintainer type="project">
+ <email>gnu-emacs@gentoo.org</email>
+ <name>Gentoo GNU Emacs project</name>
+</maintainer>
+<longdescription>
+ Cscope is a developer's tool for browsing source code. Cscope allows
+ searching code for:
+
+ * cross referenced symbols
+ * global definitions
+ * callees and callers
+ * text strings and regular expression patterns
+ * files and files including a file
+
+ Other features:
+
+ * curses based (text screen)
+ * fast searches
+ * fuzzy parser supports C and is flexible enough to be useful for
+ C++, Java and other documents
+ * command line mode for inclusion in scripts or as a backend to GUIs
+
+ Cscope is distributed with xcscope which provides tight integration
+ with GNU Emacs.
+</longdescription>
+<upstream>
+ <remote-id type="sourceforge">cscope</remote-id>
+</upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>